package org.seasar.jsf.template.impl.html;

import javax.faces.component.UIComponent;
import javax.faces.component.html.HtmlInputText;

import org.seasar.jsf.template.impl.AbstractComponentFactory;
import org.w3c.dom.Node;

/**
 * @author higa
 *  
 */
public class HtmlInputTextFactory extends AbstractComponentFactory {

	public HtmlInputTextFactory(Node node) {
		super(node);
	}

	/**
	 * @see org.seasar.jsf.template.ComponentFactory#createComponent()
	 */
	public UIComponent createComponent() {
		HtmlInputText component = new HtmlInputText();
		setProperties(component);
		return component;
	}
}